### Method

# FwupdPlugin Context get_fdt

since: 1.8.10

#### Declaration [src]

    FuFirmware*
    fu_context_get_fdt (
      FuContext* self
      GError** error
    )

#### Description [src]

Gets and parses the system FDT, aka. the Flat Device Tree.

The results are cached internally to the context, and subsequent calls to this function returns the pre-parsed object.

Available since: 1.8.10

#### Return value

Type: `FuFirmware`

A `FuFdtFirmware`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.